Bug 125908 - no sound after updating to the 2.6.6-1.427 kernel
no sound after updating to the 2.6.6-1.427 kernel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-13 16:38 EDT by Marshall Boykin
Modified: 2015-01-04 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:43:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marshall Boykin 2004-06-13 16:38:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
After I updated my Asus A7N8X Deluxe (nForce 2 version 1.4) I lhave
lost sound from the onboard sound chip (nForce2 AC97 Audio Controler
(MCP)from listing in the hardware browser). Clicking on the soundcard
detection module it shows "The following audio device was detected.
Vendor: nVidia Corporation Model nForce2 AC97 Audio Controler Module:
snd-intel8x0. When I click "Play Test Sound" I get "Error: Automatic
detection of the sound card did not work. Audio will not be available
on the system. Please click OK to continue"  If I boot to the original
kernel I am able to get the sound card to function as it should.

Version-Release number of selected component (if applicable):
Kernel 2.6.6-1.427

How reproducible:
Always

Steps to Reproduce:
1. Boot to the 2.6.6-1.427
 kernel
2. Try to play any sound files, or test soundcard
3.
    

Actual Results:  no sounds played
in soundcard detection: Automatic detection of soundcard did not work

Expected Results:  Card should be detected as previously.
Should be able to hear sounds.

Additional info:

The original Core 2 (Tettnang) Kernel detects and is able to use the
onboard sound chip with out any additional configuration on my end. I
can still boot into the other kernel and play my music files without
any issues. I also have an old Adaptec 2940 Ultrawide and 2, 8 gig
hard drives that seem to function fine. Also my Logitec USB MX500
mouse is working OK. On the previous test kernels I would lose
function of the USB mouse a few minutes after boot (3-5 minutes)
Comment 1 Scott Sloan 2004-06-14 13:53:51 EDT
Same problem here but with kerenl .435

lsmod |grep snd    comes up empty.
Comment 2 Alfred Man 2004-07-06 17:35:15 EDT
Try using pci=nocpi in your grub boot command.

ie.

title Fedora Core (2.6.7-vanilla8stack)
        root (hd0,6)
        kernel /vmlinuz-2.6.7-vanilla8stack pci=noacpi ro
root=LABEL=/1 quiet
        initrd /initrd-2.6.7-vanilla8stack.img
Comment 3 Marshall Boykin 2004-07-07 01:47:55 EDT
Well I tried adding the option pci=noacpi to the grub file...(using 
2.6.6-1.435.2.3 Kernel) Sound still does not work. I get about 2 
seconds of the beginning of the file then silence. Going back to .358 
still works fine. other ideas??
Comment 4 Dave Jones 2004-11-27 15:22:03 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 5 Dave Jones 2005-04-16 01:43:17 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.